Bug 19991 - Alpha cds not bootable from milo
Alpha cds not bootable from milo
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-29 10:50 EST by o.schnapauff
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-01 10:21:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description o.schnapauff 2000-10-29 10:50:01 EST
The Alpha cds are not bootable following the readme instructions on the CD, no root fs found. Fix the README and consider
you split the install CD into two! Also there propably should be a milo on the CD if you can copyright-wise
Comment 1 Matt Wilson 2000-10-31 10:45:44 EST
milo images are on the CD, but MILO does not currently support initrd, which is
*required* for Red Hat Linux 7.  You can still use the boot floppies.

This is all covered in the Red Hat Liunux 7/Alpha Installation Guide.
Comment 2 Matt Wilson 2000-10-31 10:47:02 EST
MILO support is depreciated, aboot is the only officially supported boot
method.  If someone fixes MILO to handle initrd, I'll add the milo.cfg file to
make it easy to boot off cd.
Comment 3 o.schnapauff 2000-11-01 10:21:08 EST
Then the README in /README on the first CD is wrong, outdated and
confusing:

To boot this release you should use either MILO or SRM. From SRM, boot from
the CD itself into aboot, passing the appropriate arguments. More information
on SRM booting can be found on http://www.redhat.com.

Once MILO has been installed, you can boot this CD as follows:

    boot -t iso9660 scd0:kernels/generic.gz root=/dev/scd0

where file.gz is the proper kernel for your machine (see kernels/README
for information) and scd0 is the device name of your CDROM drive.

If you don't have a CD device attached, you must use a bootdisk and
ramdisk, which are available in the images directory. To boot the bootdisk
from the floppy disk, use:

    boot fd0:vmlinux.gz root=/dev/fd0 load_ramdisk=1

and insert the boot disk when requested. 

This README reads:
Red Hat Linux/Alpha 7.0 (Guinness)

so it implies its up to date and is the first thing people read!

Note You need to log in before you can comment on or make changes to this bug.